> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Info by Token Address

> This endpoint allows you to **query token metadata (name, symbol, CoinGecko ID, image, socials, websites, description, etc.) based on a provided token contract address on a network**

<Tip>
  ### Tips

  * If you would like to query token data such as decimals, total supply, price, etc., you can go to this endpoint [`/networks/{network}/tokens/{address}`](/v3.0.1/reference/token-data-contract-address) instead.
  * Learn more about [GT Score](https://support.coingecko.com/hc/en-us/articles/38381394237593-What-is-GT-Score-How-is-GT-Score-calculated) and [GT Verified](https://support.coingecko.com/hc/en-us/articles/54413671274649-What-is-GT-Verified-Badge).
  * Metadata (image, websites, description, socials) may be sourced on-chain and is not vetted by the CoinGecko team. If you wish to get metadata reviewed by the CoinGecko team, you may use the following endpoints:
    * [Coin Data by ID](/v3.0.1/reference/coins-id)
    * [Coin Data by Token Address](/v3.0.1/reference/coins-contract-address)
</Tip>

<Note>
  ### Note

  * `holders` data is currently in Beta, with ongoing improvements to data quality, coverage, and update frequency.
    * Supported chains include: Solana, EVM (Ethereum, Polygon, BNB, Arbitrum, Optimism, Base), Sui, TON, and Ronin.
    * `distribution_percentage` is calculated based on the token's total supply and includes all wallet types (CEX wallets, treasury/issuer wallets, etc.). Coverage includes:
      * Solana: `top_10`, `11_20`, `21_40`, `rest`
      * Other chains: `top_10`, `11_30`, `31_50`, `rest`
  * For tokens on a bonding curve (i.e. non-graduated tokens from launchpads), the response will include a `launchpad_details` object containing their graduation status and details.
  * Cache / Update Frequency: every 60 seconds.
</Note>


## OpenAPI

````yaml api-reference/onchain-demo.json get /networks/{network}/tokens/{address}/info
openapi: 3.0.0
info:
  title: Onchain DEX API (Demo)
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /networks/{network}/tokens/{address}/info:
    get:
      tags:
        - Tokens
      summary: Token Info by Token Address
      description: >-
        This endpoint allows you to **query token metadata (name, symbol,
        CoinGecko ID, image, socials, websites, description, etc.) based on a
        provided token contract address on a network**
      operationId: token-info-contract-address
      parameters:
        - name: network
          in: path
          description: |-
            network ID 
             *refers to [/networks](/v3.0.1/reference/networks-list)
          required: true
          schema:
            type: string
            example: eth
            default: eth
        - name: address
          in: path
          description: token contract address
          required: true
          schema:
            type: string
            example: '0xdac17f958d2ee523a2206206994597c13d831ec7'
            default: '0xdac17f958d2ee523a2206206994597c13d831ec7'
      responses:
        '200':
          description: Get specific token info on a network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenInfo'
components:
  schemas:
    TokenInfo:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              type: object
              properties:
                address:
                  type: string
                name:
                  type: string
                symbol:
                  type: string
                decimals:
                  type: integer
                image_url:
                  type: string
                image:
                  type: object
                  properties:
                    thumb:
                      type: string
                    small:
                      type: string
                    large:
                      type: string
                coingecko_coin_id:
                  type: string
                websites:
                  type: array
                  items:
                    type: string
                discord_url:
                  type: string
                farcaster_url:
                  type: string
                zora_url:
                  type: string
                telegram_handle:
                  type: string
                twitter_handle:
                  type: string
                description:
                  type: string
                gt_score:
                  type: number
                gt_score_details:
                  type: object
                  properties:
                    pool:
                      type: number
                    transaction:
                      type: number
                    creation:
                      type: number
                    info:
                      type: number
                    holders:
                      type: number
                gt_verified:
                  type: boolean
                categories:
                  type: array
                  items:
                    type: string
                gt_category_ids:
                  type: array
                  items:
                    type: string
                holders:
                  type: object
                  properties:
                    count:
                      type: integer
                    distribution_percentage:
                      type: object
                      properties:
                        top_10:
                          type: string
                        '11_30':
                          type: string
                        '31_50':
                          type: string
                        rest:
                          type: string
                    last_updated:
                      type: string
                mint_authority:
                  type: string
                freeze_authority:
                  type: string
                is_honeypot:
                  oneOf:
                    - type: boolean
                    - type: string
      example:
        data:
          id: eth_0xdac17f958d2ee523a2206206994597c13d831ec7
          type: token
          attributes:
            address: '0xdac17f958d2ee523a2206206994597c13d831ec7'
            name: Tether USD
            symbol: USDT
            decimals: 6
            image_url: >-
              https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661
            image:
              thumb: >-
                https://coin-images.coingecko.com/coins/images/325/thumb/Tether.png?1696501661
              small: >-
                https://coin-images.coingecko.com/coins/images/325/small/Tether.png?1696501661
              large: >-
                https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661
            coingecko_coin_id: tether
            websites:
              - https://tether.to
            discord_url: null
            farcaster_url: null
            zora_url: null
            telegram_handle: null
            twitter_handle: Tether_to
            description: >-
              Tether (USDT) is a cryptocurrency with a value meant to mirror the
              value of the U.S. dollar...
            gt_score: 92.66055045871559
            gt_score_details:
              pool: 87.5
              transaction: 100
              creation: 100
              info: 100
              holders: 100
            gt_verified: true
            categories: []
            gt_category_ids: []
            holders:
              count: 9409235
              distribution_percentage:
                top_10: '47.5704'
                '11_30': '11.3944'
                '31_50': '5.1233'
                rest: '35.9119'
              last_updated: '2026-03-18T03:13:27Z'
            mint_authority: null
            freeze_authority: null
            is_honeypot: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````